commit:     45f60ac4104b48773c19005388b50d60a56415e7
Author:     Wilson Michaels <thebitpit <AT> earthlink <DOT> net>
AuthorDate: Sat Jul 25 18:15:31 2020 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sat Aug  1 22:23:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45f60ac4

media-tv/mythtv: add runtime depend, remove old revision

Closes: https://bugs.gentoo.org/733470
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Wilson Michaels <thebitpit <AT> earthlink.net>
Closes: https://github.com/gentoo/gentoo/pull/16817
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 media-tv/mythtv/{mythtv-31.0.ebuild => mythtv-31.0-r2.ebuild} | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/media-tv/mythtv/mythtv-31.0.ebuild 
b/media-tv/mythtv/mythtv-31.0-r2.ebuild
similarity index 98%
rename from media-tv/mythtv/mythtv-31.0.ebuild
rename to media-tv/mythtv/mythtv-31.0-r2.ebuild
index 9d3ead365ea..8c2640774db 100644
--- a/media-tv/mythtv/mythtv-31.0.ebuild
+++ b/media-tv/mythtv/mythtv-31.0-r2.ebuild
@@ -137,6 +137,7 @@ DEPEND="
                        dev-python/future[${PYTHON_USEDEP}]
                        dev-python/lxml[${PYTHON_USEDEP}]
                        dev-python/mysqlclient[${PYTHON_USEDEP}]
+                       dev-python/requests-cache[${PYTHON_USEDEP}]
                        dev-python/simplejson[${PYTHON_USEDEP}]
                ')
        )
@@ -146,6 +147,7 @@ python_check_deps() {
        has_version "dev-python/future[${PYTHON_USEDEP}]" &&
        has_version "dev-python/lxml[${PYTHON_USEDEP}]" &&
        has_version "dev-python/mysqlclient[${PYTHON_USEDEP}]" &&
+       has_version "dev-python/requests-cache[${PYTHON_USEDEP}]" &&
        has_version "dev-python/simplejson[${PYTHON_USEDEP}]"
 }
 
@@ -385,11 +387,11 @@ src_install() {
 
        insinto /usr/share/mythtv/contrib
        # Ensure we don't install scripts needing the perl bindings (bug 
#516968) Finding none is OK.
-       if use perl; then
+       if ! use perl; then
                find contrib/ -name '*.pl' -exec rm {} \;
        fi
        # Ensure we don't install scripts needing the python bindings (bug 
#516968) Finding none is OK.
-       if use python; then
+       if ! use python; then
                find contrib/ -name '*.py' -exec rm {} \;
        fi
        doins -r contrib/*

Reply via email to